Subject: Re: [PATCH] net: packet: option to only pass skb protocol

From: "Michael S. Tsirkin" <[email-masked]>
Date: Tue, 5 Jan 2010 23:50:51 +0200

On Tue, Jan 05, 2010 at 01:40:38PM -0800, David Miller wrote:
> From: "Michael S. Tsirkin" <[email-masked]>
> Date: Tue, 5 Jan 2010 22:50:40 +0200
> 
> > binding socket to device might be done by a separate process
> > from the one doing sendmsg, and IMO the device socket is bound
> > to might change at any time.
> > 
> > So the sending process would need to get socket name before
> > each sendmsg.
> > 
> > Makes sense?
> 
> Not really, when it's at the expense of everyone else.
> 
> If you can pass the FD around, you can pass around auxiliary
> information as well.
> 
> Make sense? :-)

At some level, of course I can. But I would have to do this
communication each time socket is bound to another device, as opposed to
passing the fd once.  At least for me, option to autodetect protocol
would work even better though - it's  what I do in the application
anyway.

-- 
MST